当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 帮忙找错
帖子发表于 : 2008-11-07 14:39 
头像

注册: 2007-05-12 22:48
帖子: 1344
送出感谢: 0 次
接收感谢: 0 次
我老师给我一个easyarm2200板子,我想在上面移植uclinux,因为20080808新版直接支持lpc2200系列,所以我用这个,打了uClinux-dist-20080808-20080922.patch
现在make的时候报错
代码:
make ARCH=armnommu CROSS_COMPILE=arm-linux- -j1 -C linux-2.4.x  || exit 1
make[1]: 正在进入目录 `/home/wei/Downloads/uclinux/uClinux-dist/linux-2.4.x'
arm-linux-gcc -D__KERNEL__ -I/home/wei/Downloads/uclinux/uClinux-dist/linux-2.4.x/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fno-builtin-sprintf -Wno-pointer-sign -fno-common -pipe -fno-builtin -D__linux__ -g -DNO_MM -mapcs-32 -march=armv4 -mtune=arm7tdmi -malignment-traps -msoft-float   -DKBUILD_BASENAME=main -c -o init/main.o init/main.c
cc1: error: invalid option 'apcs-32'
cc1: error: invalid option 'alignment-traps'
make[1]: *** [init/main.o] 错误 1
make[1]:正在离开目录 `/home/wei/Downloads/uclinux/uClinux-dist/linux-2.4.x'
make: *** [linux] 错误 1

我估计是一个文件的mapcs拼写成apcs了,但是我看不出来是哪个文件。谁看看,找一下。
google了有的说是交叉编译环境的问题,有的说是path没有设好。我的都是好的。
大家帮帮忙。 :em01


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译